<template>
    <div class="smooth-dnd-container vertical">
        <button class="btn btn-primary-light add-menu-item-btn" @click="modalShow = !modalShow">Add Menu Item</button>
        <b-modal id="modal-sm" size="sm" title="Menu element" v-model="modalShow">
            <div class="modal-body">
                <div class="form-group">
                    <label for="action">Action</label>
                    <select type="text" id="action" class="form-control">
                        <option v-for="(action, index) in selectAction" :key="index" :label="action.title"></option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="title">Title</label>
                    <input id="title" class="form-control" aria-required="true"/>
                </div>
            </div>
            <template #modal-footer>
                <b-button class="btn add-btn">Add</b-button>
            </template>
        </b-modal>
    </div>
</template>

<script>
export default {
    name: "BotFormContent",
    data: () => ({
        modalShow: false,
        selectAction: [
            {
                title: 'Open a submenu'
            },
            {
                title: 'Open Url'
            },
            {
                title: 'Browse Products'
            },
            {
                title: 'Browse Collections'
            },
            {
                title: 'Best Selling Products'
            },
        ]
    })
}
</script>

<style scoped lang="scss">

select.form-control {
    background: url(../../../../assets/images/select-arrow-down.svg) no-repeat calc(100% - 10px);
    -webkit-appearance: none;
    -moz-appearance: none;
    padding-right: 27px;
}

.form-control {
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 3px;
    height: 40px;
}

.add-menu-item-btn {
    position: relative;
    width: 100%;
    margin-bottom: 5px;
    background: none;
    text-align: left;
    border-color: #DEE1E6;
    color: #98A0A6;
    font-weight: 400;
    padding-left: 30px;
    padding-right: 30px;
}

.add-btn {
    background: #DAE7FF;
    border-color: #DAE7FF;
    color: #4786FF;
    padding: 8px 20px;
    font-weight: bold;
    display: flex;
    border-radius: 5px;
    align-items: center;
    font-size: 14px;

    &:hover {
        border-color: #4786FF;
        background: #4786FF;
        color: white;
    }

}

.add-menu-item-btn:before {
    position: absolute;
    right: 30px;
    top: 50%;
    content: '';
    margin-top: -8px;
    background: url(../../../../assets/images/plus-circle.svg) no-repeat;
    width: 16px;
    height: 16px;
}

.smooth-dnd-container {
    position: relative;
    max-width: 500px;
}

</style>
